FreeBSD : libgd -- integer overflow which could lead to heap buffer overflow (2a526c78-84ab-11e6-a4a1-60a44ce6887b)

High Nessus Plugin ID 93984


The remote FreeBSD host is missing one or more security-related updates.


LibGD reports :

An integer overflow issue was found in function gdImageWebpCtx of file gd_webp.c which could lead to heap buffer overflow.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 93984

File Name: freebsd_pkg_2a526c7884ab11e6a4a160a44ce6887b.nasl

Version: $Revision: 2.1 $

Type: local

Published: 2016/10/12

Modified: 2016/10/12

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:gd, p-cpe:/a:freebsd:freebsd:php56-gd, p-cpe:/a:freebsd:freebsd:php70-gd, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/10/11

Vulnerability Publication Date: 2016/09/02